
QGIS Application - Bug report #14609

QGIS Server: export layer to GeoJSON is malformed

2016-04-03 05:54 AM - jose macau

Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:2.14.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 22575

Description

the GeoJSON exported file throught the LizMap web client doesn't contain srsName/EPSG information unlike GML exported file... it's

necessary to set the right projection after loading in QGIS.

https://github.com/3liz/lizmap-web-client/issues/278

thanks

Associated revisions

Revision 9ea56acd - 2016-05-09 01:19 PM - Nyall Dawson

[server] Always export GeoJSON in WGS84 (fix #14609)

History

#1 - 2016-04-09 08:05 AM - Giovanni Manghi

- Category set to QGIS Server

- Subject changed from export layer to GeoJSON to QGIS Server: export layer to GeoJSON is malformed

New description:

exporting a layer as geojson from qgis server produces a malformed file (doesn't contain srsName/EPSG).

#2 - 2016-05-04 12:09 AM - René-Luc ReLuc

In GeoJSON v1 CRS information can be specified http://geojson.org/geojson-spec.html#coordinate-reference-system-objects

In GeoJSON v2 CRS has to be ESPG:4326 https://mailarchive.ietf.org/arch/msg/geojson/B5lKKb6mSf2YHAiJJXDfHs_uv-8

#3 - 2016-05-09 04:22 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"9ea56acde03ace5c078c3d95f98be267eb1c22fd".
